﻿@using GridMvc.Html
@using GridMvc.Sorting

@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Promo.PromoActivityReportModel>
@(
Html.Grid(Model).Named("AllPromoReporting").Columns(columns =>
{
    columns.Add(x => x.PromoID.PromoCode)
        .Titled("Promo Code")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.PromoID.PromoCode);

    columns.Add(x => x.MemberID.Name)
        .Titled("Member Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MemberID.Name);

    columns.Add(x => x.MemberID.Phone)
        .Titled("Member Phone")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MemberID.Phone);

    columns.Add(x => x.MemberID.Email)
       .Titled("Member Email")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.MemberID.Email);

    columns.Add(x => x.MemberID.EventCode)
       .Titled("Event Code")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.MemberID.EventCode);

    columns.Add(x => x.MemberID.CreatedDate)
       .Titled("Registration Date")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.MemberID.CreatedDate.ToString("dd/MM/yyyy"));

    columns.Add(x => x.JmlData)
        .Titled("Jumlah Promo")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.JmlData.ToString()).Filterable(true);

    columns.Add()
          .Encoded(false)
          .Sanitized(false)
          .SetWidth(50)
          .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModalProm\">Detail</a>", "#", Url.Action(MVC.PromoReporting.Detail(x.MemberID.ID,x.PromoID.ID)), x.MemberID.Name));



}).Filterable()
.Sortable()
.WithPaging(5)
)

